package technogumbo.delayTest;

import org.red5.server.adapter.ApplicationAdapter;
import java.io.IOException;

public class Application extends ApplicationAdapter {

    // ******************  CLASS DATAMEMBERS/ GLOBAL OBJECTS ***************
    public static final String DATE_FORMAT_NOW = "HH:mm:ss";
	
	
	// ## NAME: Application
    // ## DATE: 3/14/2009
    // ##          
	// ## AUTHOR: Charles Palen (palen1c@gmail.com)
	// ## DESCRIPTION: The constructor for this class.
    // ##
	// ## PRECONDITIONS: It is assumed this function is being run from Red5.  It was written based on version .8
    // ##
	// ## POSTCONDITIONS:
        public void Application() {
			
        }

	// ## NAME: Get_Server_Time
	// ## DATE: 3/14/2009
	// ## AUTHOR: Charles Palen (palen1c@gmail.com)
	// ## DESCRIPTION: This function can be called by a remote swf in order send what the swf
	// ##              believes is the current time.  This can be compared to the servers time in order
	// ##              to figure out the delay
	// ##
	// ## PRECONDITIONS: 1. Pass a string from a flash app using netconnection.call(Get_Server_Time...etc
	// ##
	// ##
    // ## POSTCONDITIONS: If you return something from this function, (it should be the servers time) the flash
	// ##                 applications Responder object can get the value
	// ##
	// ##                 SPECIAL NOTE - The currentTimeMillis property may return different values depending on
	// ##                                the system it is on.  For instance, client is win and server is nix, the
	// ##                                accuracy may not match up.
	public long[] Get_Server_Time(long _ClientTime) {

	 // Get the current system time ASAP
	    long CurrentTime = System.currentTimeMillis();

     // Create an array to store the server and client time in for return to the client
	    long returnArray[] = new long[3];
	    returnArray[0] = _ClientTime;
		returnArray[1] = CurrentTime;
		returnArray[2] = System.currentTimeMillis();
		
     // Return the servers time in the same format or return the delay
	 return returnArray;
	}

}